go-unifi

Get Network Details

Retrieve detailed information about a specific network.

GET
/v1/sites/{siteId}/networks/{networkId}

Retrieve detailed information about a specific network.

X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

networkId*string
siteId*string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/networks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "management": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "Default Network",  "enabled": true,  "vlanId": 1,  "metadata": {    "origin": "string"  },  "dhcpGuarding": {    "trustedDhcpServerIpAddresses": [      "string"    ]  },  "default": true}